com.rscja.team.qcom.http

## Class HttpUtils_qcom

- java.lang.Object
- - com.rscja.team.qcom.http.HttpUtils_qcom

-     public class HttpUtils_qcom
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpUtils_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetResult_qcom` | `httpGetData(java.lang.String strUrlPath)` get方式获取服务器数据，返回字符串
    `NetResult_qcom` | `httpGetData(java.lang.String strUrlPath, int timeout)` get方式获取服务器数据，返回字符串
    `NetResult_qcom` | `httpGetDownloadFile(java.lang.String urlPath, java.lang.String savePath, IDownLoadProgress_qcom iDownLoadProgress)` get 方式下载文件
    `NetResult_qcom` | `httpPostData(java.lang.String strUrlPath, byte[] data)` post方式获取服务器数据，返回字符串
    `NetResult_qcom` | `httpPostUploadFile(java.lang.String strUrlPath, java.lang.String filePath, IUploadProgress_qcom iUploadProgress, int timeOut)` post 方式下载文件
    `void` | `stopDown()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpUtils_qcom

          public HttpUtils_qcom()

  - ### Method Detail

    - #### stopDown

          public void stopDown()

    - #### httpGetData

          public NetResult_qcom httpGetData(java.lang.String strUrlPath)

      get方式获取服务器数据，返回字符串
      Parameters:
        `strUrlPath` -
      Returns:

    - #### httpGetData

          public NetResult_qcom httpGetData(java.lang.String strUrlPath,
                                            int timeout)

      get方式获取服务器数据，返回字符串
      Parameters:
        `strUrlPath` -
        `timeout` -
      Returns:

    - #### httpPostData

          public NetResult_qcom httpPostData(java.lang.String strUrlPath,
                                             byte[] data)

      post方式获取服务器数据，返回字符串
      Parameters:
        `strUrlPath` -
        `data` -
      Returns:

    - #### httpGetDownloadFile

          public NetResult_qcom httpGetDownloadFile(java.lang.String urlPath,
                                                    java.lang.String savePath,
                                                    IDownLoadProgress_qcom iDownLoadProgress)

      get 方式下载文件
      Parameters:
        `urlPath` -
        `savePath` -
        `iDownLoadProgress` -
      Returns:

    - #### httpPostUploadFile

          public NetResult_qcom httpPostUploadFile(java.lang.String strUrlPath,
                                                   java.lang.String filePath,
                                                   IUploadProgress_qcom iUploadProgress,
                                                   int timeOut)

      post 方式下载文件
      Parameters:
        `strUrlPath` -
        `filePath` -
        `iUploadProgress` -
      Returns: